<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="UTF-8">
        <title>Réservation (saisie)</title>
        <style>
            body { font-family:sans-serif; font-size:10px; }
            label    { display:inline-block;font-size:1.4rem;min-width:120px;box-sizing:border-box;margin-right:16px; }
            span, p  { font-weight:bold; font-size:1.4rem; padding-bottom:6px; }
        </style>        
    </head>
    <body>
        <h1>Merci de confirmer vos informations</h1>
        <form action="index.php" method="POST">
            <label for="nom">Nom :</label><span><?php echo strip_tags($_POST['nom']); ?></span>
            <br/><label for="prenom">Prénom :</label><span><?php echo strip_tags($_POST['prenom']); ?></span>
            <br/><label for="infos">Informations particulières ?</label>
            <p><?php echo htmlentities($_POST['infos'], ENT_QUOTES); ?></p>
            <button type="submit" name="action" value="CONFIRM">Confirmer</button>
        </form>        
    </body>
</html>