# SETUP
## DEPENDENCIES
- install dependencies with
```
npm install
npm install --only=dev
```

## DATABASE
Create the database using the .sql file

Run the migrations with:
```
npx sequelize-cli db:migrate
```

Run the seeders with:
```
npx sequelize-cli db:seed:all
```

## CONFIGURATION
**Configure the server port in the .env file.**

**Database configuration is in config/config.json file.**

# API
## START THE SERVER
You can start the server with the following command :
```
npm run dev
```

## SWAGGER
You should use the swagger available at **`http://localhost:<port>/api-docs`.**
