'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.bulkInsert('Fishes', [
      {
        name: 'Toto',
        color: 'Red',
        length: 'Very smoll, averaging 1cm on good days',
        speed: 'Fastest in the aquarius, it is rumored that he used to compete in racing tournament in his younger days',
        createdAt: new Date(),
        updatedAt: new Date()
      },
      {
        name: 'The fish who is not an alien',
        color: 'Green',
        length: 'Buffed af, at least 10 cm',
        speed: 'Abysmally slow, some says he is an alien due to his color and his buffeness',
        createdAt: new Date(),
        updatedAt: new Date()
      },
      {
        name: 'Nyan Fish',
        color: 'Rainbow',
        length: 'The rainbow being part of his body, is length is immeasurable',
        speed: 'Distant cousin of nyancat and one of the racing star under the tutelage of Toto, thanks to the rainbow he was born with he is one of the fastest of his generation.',
        createdAt: new Date(),
        updatedAt: new Date()
      }], {});

  },

  async down(queryInterface, Sequelize) {
    await queryInterface.bulkDelete('Fish', null, {});

  }
};
