# les variables d'environnement en Node et une config qui en dépend

## en windows CMD

### initialiser

``` 
set VARIABLE=VALEUR
``` 
attention sans espace autour du = sinon on ne déclare pas 'VARIABLE' mais 'VARAIBLE '

### lire 
``` 
set VARIABLE
``` 
ou 
``` 
echo %VARIABLE%
``` 

### lister tout
``` 
env 
``` 
(peut ne pas être reconnu)

## en windows Powershell
### initialiser
``` 
$env:set VARIABLE="VALEUR"
``` 
- attention sans espace autour du = sinon on ne déclare pas 'VARIABLE' mais 'VARAIBLE '
- attention par rapport à cmd il faut les guillemets

### lire 
``` 
$env:VARIABLE
``` 

### lister tout
``` 
env 
```
ou si la version précédente ne fonctionne pas 
``` 
Get-Childitem -path env:
``` 

## en zsh / sh / bash (OSX ou Linux)
### initialiser
``` 
export VARIABLE=VALEUR
``` 
- attention sans espace autour du = sinon on ne déclare pas 'VARIABLE' mais 'VARAIBLE '

### lire 
``` 
printenv VARIABLE
``` 
### lister tout
``` 
env 
```
ou  
``` 
printenv
``` 

## Et en node ....
cf exemple env-show.js