const voiture = require("../../app/controller/voiture.controller");

module.exports = function(app) {
  app.use(function(req, res, next) {
    res.header(
      "Access-Control-Allow-Headers",
      "Origin, Content-Type, Accept"
    );
    next();
  });


  app.get(
    "/api/voiture/GETOne/:id",
    voiture.GETOneVoiture
  );

  app.post(
    "/api/voiture/POST",
    voiture.POSTVoiture
  );

  // Update a Tutorial with id
  app.put(
    "/api/voiture/PUT/:id", 
    voiture.PUTVoiture
  );

  // Delete a Tutorial with id
  app.delete(
    "/api/voiture/DROP/:id", 
    voiture.DROPVoiture
  );

};
